Package ru.bitel.bgbilling.plugins.crm.common.model

# Class RegisterCall

java.lang.Object
ru.bitel.bgbilling.plugins.crm.common.model.RegisterCall

All Implemented Interfaces:
  `Serializable`

public class RegisterCall extends Object implements Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `RegisterCall.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterCall()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RegisterCall.Builder`
  `builder()`
  `static RegisterCall.Builder`
  `builder(RegisterCall registerCall)`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `String`
  `getContractTitle()`
  `int`
  `getGroupId()`
  `int`
  `getId()`
  `int`
  `getObjectId()`
  `String`
  `getObjectTitle()`
  `int`
  `getProblemId()`
  `Date`
  `getTime()`
  `int`
  `getTypeId()`
  `String`
  `getTypeTitle()`
  `int`
  `getUserId()`
  `RegisterCall`
  `setComment(String comment)`
  `RegisterCall`
  `setContractId(int contractId)`
  `RegisterCall`
  `setContractTitle(String contractTitle)`
  `RegisterCall`
  `setGroupId(int groupId)`
  `RegisterCall`
  `setId(int id)`
  `RegisterCall`
  `setObjectId(int objectId)`
  `RegisterCall`
  `setObjectTitle(String objectTitle)`
  `RegisterCall`
  `setProblemId(int problemId)`
  `RegisterCall`
  `setTime(Date time)`
  `RegisterCall`
  `setTypeId(int typeId)`
  `RegisterCall`
  `setTypeTitle(String typeTitle)`
  `RegisterCall`
  `setUserId(int userId)`
  `RegisterCallItem`
  `toRegisterCallItem()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegisterCall

    public RegisterCall()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public RegisterCall setId(int id)

  - ### getTime

    public Date getTime()

  - ### setTime

    public RegisterCall setTime(Date time)

  - ### setTypeId

    public RegisterCall setTypeId(int typeId)

  - ### setGroupId

    public RegisterCall setGroupId(int groupId)

  - ### setContractId

    public RegisterCall setContractId(int contractId)

  - ### setUserId

    public RegisterCall setUserId(int userId)

  - ### setProblemId

    public RegisterCall setProblemId(int problemId)

  - ### setTypeTitle

    public RegisterCall setTypeTitle(String typeTitle)

  - ### setComment

    public RegisterCall setComment(String comment)

  - ### getTypeId

    public int getTypeId()

  - ### getGroupId

    public int getGroupId()

  - ### getContractId

    public int getContractId()

  - ### getUserId

    public int getUserId()

  - ### getProblemId

    public int getProblemId()

  - ### getTypeTitle

    public String getTypeTitle()

  - ### getComment

    public String getComment()

  - ### getObjectId

    public int getObjectId()

  - ### setObjectId

    public RegisterCall setObjectId(int objectId)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public RegisterCall setContractTitle(String contractTitle)

  - ### getObjectTitle

    public String getObjectTitle()

  - ### setObjectTitle

    public RegisterCall setObjectTitle(String objectTitle)

  - ### toRegisterCallItem

    public RegisterCallItem toRegisterCallItem()

  - ### builder

    public static RegisterCall.Builder builder()

  - ### builder

    public static RegisterCall.Builder builder(RegisterCall registerCall)